> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.littglobal.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.littglobal.com/_mcp/server.

# Settings

POST TBD/jA1T2vcBJ8lgweQWyD3G0mXk5bzRqLSHZt46OpdniYau79sMIE
Content-Type: application/json

This is an API used for retrieving the system settings. System settings include the environment, timezone, credentials, API information, image path, payment gateway key, app versions, augmented reality settings, story durations, map video URL, and cloud storage details.

### Request Body

This API does not require a request body.

### Response

- `env` (String): The system environment code.
- `timezone` (String): The system timezone.
- `csrf` (String): CSRF token for the instance.
- `api` (Object): Contains the API version and URL.
- `image_path` (Object): Contains URLs for different image resolutions.
- `stripe` (Object): Contains the stripe public key.
- `ios` & `android` (Object): Contains the iOS and Android apps' latest version and minimum supported version.
- `ar` (Object): Contains augmented reality parameters like links for the 'money_bag' image, its iOS and Android versions, and tracking images details with their URL, physical width, and action URL.
- `story` (Object): Contains an array of durations.
- `map` (Object): Contains the map video URL.
- `s3` (Object): Contains S3 bucket services parameters like bucket name, region, key, and domain URL.

Reference: https://docs.littglobal.com/litt-white-label/api-reference/system-settings/settings

## Request

### Query parameters

- `api_token` (string, optional)

## Response

### 200

Settings

- `message` (string, optional)
- `status` (string, optional)
- `data` (JA1T2VcBj8LgweQWyD3G0MXk5BzRqLshZt46OpdniYau79SMiePostResponsesContentApplicationJsonSchemaData, optional)

## Types

### JA1T2VcBj8LgweQWyD3G0MXk5BzRqLshZt46OpdniYau79SMiePostResponsesContentApplicationJsonSchemaData

- `env` (string, optional)
- `timezone` (string, optional)
- `csrf` (string, optional)
- `api` (JA1T2VcBj8LgweQWyD3G0MXk5BzRqLshZt46OpdniYau79SMiePostResponsesContentApplicationJsonSchemaDataApi, optional)
- `image_path` (JA1T2VcBj8LgweQWyD3G0MXk5BzRqLshZt46OpdniYau79SMiePostResponsesContentApplicationJsonSchemaDataImagePath, optional)
- `stripe` (JA1T2VcBj8LgweQWyD3G0MXk5BzRqLshZt46OpdniYau79SMiePostResponsesContentApplicationJsonSchemaDataStripe, optional)
- `ios` (JA1T2VcBj8LgweQWyD3G0MXk5BzRqLshZt46OpdniYau79SMiePostResponsesContentApplicationJsonSchemaDataIos, optional)
- `android` (JA1T2VcBj8LgweQWyD3G0MXk5BzRqLshZt46OpdniYau79SMiePostResponsesContentApplicationJsonSchemaDataAndroid, optional)
- `ar` (JA1T2VcBj8LgweQWyD3G0MXk5BzRqLshZt46OpdniYau79SMiePostResponsesContentApplicationJsonSchemaDataAr, optional)
- `story` (JA1T2VcBj8LgweQWyD3G0MXk5BzRqLshZt46OpdniYau79SMiePostResponsesContentApplicationJsonSchemaDataStory, optional)
- `map` (JA1T2VcBj8LgweQWyD3G0MXk5BzRqLshZt46OpdniYau79SMiePostResponsesContentApplicationJsonSchemaDataMap, optional)
- `s3` (JA1T2VcBj8LgweQWyD3G0MXk5BzRqLshZt46OpdniYau79SMiePostResponsesContentApplicationJsonSchemaDataS3, optional)

### JA1T2VcBj8LgweQWyD3G0MXk5BzRqLshZt46OpdniYau79SMiePostResponsesContentApplicationJsonSchemaDataApi

- `version` (string, optional)
- `url` (string, optional)

### JA1T2VcBj8LgweQWyD3G0MXk5BzRqLshZt46OpdniYau79SMiePostResponsesContentApplicationJsonSchemaDataImagePath

- `profile` (JA1T2VcBj8LgweQWyD3G0MXk5BzRqLshZt46OpdniYau79SMiePostResponsesContentApplicationJsonSchemaDataImagePathProfile, optional)
- `brags` (JA1T2VcBj8LgweQWyD3G0MXk5BzRqLshZt46OpdniYau79SMiePostResponsesContentApplicationJsonSchemaDataImagePathBrags, optional)

### JA1T2VcBj8LgweQWyD3G0MXk5BzRqLshZt46OpdniYau79SMiePostResponsesContentApplicationJsonSchemaDataStripe

- `public_key` (string, optional)

### JA1T2VcBj8LgweQWyD3G0MXk5BzRqLshZt46OpdniYau79SMiePostResponsesContentApplicationJsonSchemaDataIos

- `latestVersion` (string, optional)
- `minSupportVersion` (string, optional)

### JA1T2VcBj8LgweQWyD3G0MXk5BzRqLshZt46OpdniYau79SMiePostResponsesContentApplicationJsonSchemaDataAndroid

- `latestVersion` (string, optional)
- `minSupportVersion` (string, optional)

### JA1T2VcBj8LgweQWyD3G0MXk5BzRqLshZt46OpdniYau79SMiePostResponsesContentApplicationJsonSchemaDataAr

- `money_bag` (string, optional)
- `money_bag_ios` (string, optional)
- `money_bag_android` (string, optional)
- `tracking_images` (list of JA1T2VcBj8LgweQWyD3G0MXk5BzRqLshZt46OpdniYau79SMiePostResponsesContentApplicationJsonSchemaDataArTrackingImagesItems, optional)

### JA1T2VcBj8LgweQWyD3G0MXk5BzRqLshZt46OpdniYau79SMiePostResponsesContentApplicationJsonSchemaDataStory

- `durations` (list of integer, optional)

### JA1T2VcBj8LgweQWyD3G0MXk5BzRqLshZt46OpdniYau79SMiePostResponsesContentApplicationJsonSchemaDataMap

- `video_url` (string, optional)

### JA1T2VcBj8LgweQWyD3G0MXk5BzRqLshZt46OpdniYau79SMiePostResponsesContentApplicationJsonSchemaDataS3

- `bucket` (string, optional)
- `region` (string, optional)
- `key` (string, optional)
- `domain` (string, optional)

### JA1T2VcBj8LgweQWyD3G0MXk5BzRqLshZt46OpdniYau79SMiePostResponsesContentApplicationJsonSchemaDataImagePathProfile

- `original` (string, optional)
- `thumbs` (string, optional)

### JA1T2VcBj8LgweQWyD3G0MXk5BzRqLshZt46OpdniYau79SMiePostResponsesContentApplicationJsonSchemaDataImagePathBrags

- `original` (string, optional)
- `44x44` (string, optional)
- `50x50` (string, optional)
- `76x76` (string, optional)
- `90x90` (string, optional)
- `120x120` (string, optional)
- `295x560` (string, optional)
- `320x240` (string, optional)

### JA1T2VcBj8LgweQWyD3G0MXk5BzRqLshZt46OpdniYau79SMiePostResponsesContentApplicationJsonSchemaDataArTrackingImagesItems

- `image_url` (string, optional)
- `physical_width` (double, optional)
- `action_url` (string, optional)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "message": "Settings have been loaded",
  "status": "success",
  "data": {
    "env": "cub",
    "timezone": "UTC",
    "csrf": "qijuqGMGtFYcapT7AReCUCIOBGPvEhP0ARepOTUO",
    "api": {
      "version": "2",
      "url": "https://cub.littglobal.com/api/v2/"
    },
    "image_path": {
      "profile": {
        "original": "https://cub.littglobal.com/images/profile/",
        "thumbs": "https://cub.littglobal.com/images/profile/thumbs/"
      },
      "brags": {
        "original": "https://cub.littglobal.com/images/brags/",
        "44x44": "https://cub.littglobal.com/images/brags/44x44/",
        "50x50": "https://cub.littglobal.com/images/brags/50x50/",
        "76x76": "https://cub.littglobal.com/images/brags/76x76/",
        "90x90": "https://cub.littglobal.com/images/brags/90x90/",
        "120x120": "https://cub.littglobal.com/images/brags/120x120/",
        "295x560": "https://cub.littglobal.com/images/brags/295x560/",
        "320x240": "https://cub.littglobal.com/images/brags/320x240/"
      }
    },
    "stripe": {
      "public_key": "pk_test_51KGHTCC8A4ClNu7aRRTjJnkHGTCRzdFVMStFMKoGEtQUJSZtftyJTBRiy9MROgk0bdFPCSrLNkNS4YeRbaqvQjaI00lOh3XKF2"
    },
    "ios": {
      "latestVersion": "0.0.0.0",
      "minSupportVersion": "0.0.0.0"
    },
    "android": {
      "latestVersion": "0.0.0.0",
      "minSupportVersion": "0.0.0.0"
    },
    "ar": {
      "money_bag": "money_bag",
      "money_bag_ios": "https://d1zm7p5dmuuq6t.cloudfront.net/1353513e-28db-4c21-b022-3126cc25c830/3d-models/gold_cash_bag.zip",
      "money_bag_android": "https://d1zm7p5dmuuq6t.cloudfront.net/1353513e-28db-4c21-b022-3126cc25c830/3d-models/gold_cash_bag.glb",
      "tracking_images": [
        {
          "image_url": "https://litt-ap-southeast-2-dev.s3-ap-southeast-2.amazonaws.com/ar/duck.jpg",
          "physical_width": 0.066,
          "action_url": "https://raw.githubusercontent.com/google-ar/sceneform-android-sdk/v1.15.0/samples/chromakeyvideo/app/src/main/res/raw/lion_chroma.mp4"
        },
        {
          "image_url": "https://litt-ap-southeast-2-dev.s3-ap-southeast-2.amazonaws.com/ar/costco.jpg",
          "physical_width": 0.09,
          "action_url": "https://github.com/BrutalCoding/cashbag/raw/master/demos/dancing_sami/dancing_sami.zip",
          "scale": 0.01
        },
        {
          "image_url": "https://litt-ap-southeast-2-dev.s3-ap-southeast-2.amazonaws.com/ar/card.jpg",
          "physical_width": 0.054,
          "action_url": "https://litt-ap-southeast-2.s3-ap-southeast-2.amazonaws.com/1353513e-28db-4c21-b022-3126cc25c830/video/08d1a018-d754-4261-8a84-608909c6bb85.mp4"
        },
        {
          "image_url": "https://litt-ap-southeast-2-dev.s3-ap-southeast-2.amazonaws.com/ar/corona.jpg",
          "physical_width": 0.175,
          "action_url": "https://litt-ap-southeast-2-dev.s3-ap-southeast-2.amazonaws.com/ar/corona.mp4"
        }
      ]
    },
    "story": {
      "durations": [
        24,
        48,
        72
      ]
    },
    "map": {
      "video_url": ""
    },
    "s3": {
      "bucket": "litt-ap-southeast-2-dev",
      "region": "ap-southeast-2",
      "key": "1353513e-28db-4c21-b022-3126cc25c830",
      "domain": "https://litt-ap-southeast-2-dev.s3-accelerate.amazonaws.com/"
    }
  }
}
```

**SDK Code**

```python System Settings_settings_example
import requests

url = "https://tbd/jA1T2vcBJ8lgweQWyD3G0mXk5bzRqLSHZt46OpdniYau79sMIE"

querystring = {"api_token":"{{token}}"}

payload = {}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript System Settings_settings_example
const url = 'https://tbd/jA1T2vcBJ8lgweQWyD3G0mXk5bzRqLSHZt46OpdniYau79sMIE?api_token=%7B%7Btoken%7D%7D';
const options = {method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{}'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go System Settings_settings_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://tbd/jA1T2vcBJ8lgweQWyD3G0mXk5bzRqLSHZt46OpdniYau79sMIE?api_token=%7B%7Btoken%7D%7D"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby System Settings_settings_example
require 'uri'
require 'net/http'

url = URI("https://tbd/jA1T2vcBJ8lgweQWyD3G0mXk5bzRqLSHZt46OpdniYau79sMIE?api_token=%7B%7Btoken%7D%7D")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java System Settings_settings_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://tbd/jA1T2vcBJ8lgweQWyD3G0mXk5bzRqLSHZt46OpdniYau79sMIE?api_token=%7B%7Btoken%7D%7D")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php System Settings_settings_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://tbd/jA1T2vcBJ8lgweQWyD3G0mXk5bzRqLSHZt46OpdniYau79sMIE?api_token=%7B%7Btoken%7D%7D', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp System Settings_settings_example
using RestSharp;

var client = new RestClient("https://tbd/jA1T2vcBJ8lgweQWyD3G0mXk5bzRqLSHZt46OpdniYau79sMIE?api_token=%7B%7Btoken%7D%7D");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift System Settings_settings_example
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://tbd/jA1T2vcBJ8lgweQWyD3G0mXk5bzRqLSHZt46OpdniYau79sMIE?api_token=%7B%7Btoken%7D%7D")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```